App::Pinto::Command::diff(3pm)

NAME
App::Pinto::Command::diff - show difference between two stacks

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT diff [OPTIONS] LEFT [RIGHT]

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

This command shows the difference between two stacks or revisions, presented in a format similar to diff[1].

COMMAND ARGUMENTS
Command arguments are the names of the stacks or revision IDs to compare. If you specify a stack name, the head revision of that stack will be used. If you only specify one argument, then it is assumed to be the RIGHT and the head revision of the default stack will be used as the LEFT. Revision IDs can be truncated to uniqueness.

COMMAND OPTIONS

--diff-style=STYLE
    Controls the style of the diff reports. STYLE must be either "concise" or "detailed". Concise reports show only one record for each distribution added or deleted. Detailed reports show one record for every package added or deleted.

    The default style is "concise". However, the default style can be changed by setting the "PINTO_DIFF_STYLE" environment variable to your preferred STYLE. This variable affects the default style for diff reports generated by all other commands too.

--format=FORMAT
    A "printf"-style format string describing how individual lines of the diff are to be printed. For the description of the "FORMAT", please refer to "COMMAND OPTIONS" in App::Pinto::Command::list.

    The default format for "concise" diffs is "%o[%F] %a/%f". The default format for "detailed" diffs is "%o[%F] %-40p %12v %a/%f".

  EXAMPLES
 pinto diff foo                  # Compare of head of default stack with head of foo stack
 pinto diff foo bar              # Compare heads of both foo and bar stack.
 pinto diff 1ae834f              # Compare head of default stack with revision 1ae834f
 pinto diff foo 1ae834f          # Compare head of foo stack with revision 1ae834f
 pinto diff 663fd2a 1ae834f      # Compare revision 663fd2a with revision 1ae834f

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.